body {
  margin: 0;
  background: #eee;
  color: #333;
  font-family: 'Raleway', sans-serif;
}

canvas {
  display: block;
}

.centered {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
}

.top-left {
  position: absolute;
  left: 10px;
  top: 10px;
}

.top-right {
  position: absolute;
  right: 10px;
  top: 10px;
}

.bottom-left {
  position: absolute;
  left: 10px;
  bottom: 10px;
}

.bottom-right {
  position: absolute;
  right: 10px;
  bottom: 10px;
}

.splash {
  text-align: center;
  font-family: 'Nanum Gothic Coding', monospace;
  font-size: 28pt;
  padding: 10px 20px;
  border-top: solid 2px #333e;
  border-bottom: solid 2px #333e;
}

#splash-init {
  background: #eeee;
  color: #333;
}

#splash-error {
  background: #f33e;
  color: #fff;
  border-top: solid 2px #300e;
  border-bottom: solid 2px #300e;
}

.hidden {
  display: none;
}

.key {
  font-family: 'Nanum Gothic Coding', monospace;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  padding: 0.1em 0.5em;
  margin: 0 0.2em;
  box-shadow: 0 1px 0px rgba(0, 0, 0, 0.2), 0 0 0 2px #fff inset;
  background-color: #f7f7f7;
}

.info {
}

.battery-base {
  display: flex;
}
.battery-frame {
  width: 400px;
  height: 20px;
  border: solid 2px #333e;
}
.battery-bar {
  transition: none 0s ease 0s;
  width: 75%;
  height: 100%;
  background: repeating-linear-gradient(
    -45deg,
    #333e 0px,
    #333e 1px,
    #3330 2px,
    #3330 3px
  );
}
.battery-label {
  margin-right: 10px;
}
